package com.sf.service.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * 商品信息对象 GOODS_MESSAGES
 * 
 * @author zoukun
 * @date 2024-04-18
 */
public class GoodsMessages extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 商品编号 */
    @Excel(name = "商品编号")
    private String goodsCode;

    /** 库存表编号 */
    private Long stockId;

    /** 审核状态，1通过，0未通过 */
    @Excel(name = "审核状态，1通过，0未通过")
    private Long reviewStatus;

    /** 商品标题 */
    @Excel(name = "商品标题")
    private String productTitle;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String productPicture;

    /** 商品原价 */
    @Excel(name = "商品原价")
    private Long originalPrice;

    /** 商品描述 */
    @Excel(name = "商品描述")
    private String productDesc;

    /** 商品类型。     * •	0：消耗型商品     * •	1：非消耗型商品     * •	2：自动续期订阅商品 */
    @Excel(name = "商品类型。     * •	0：消耗型商品     * •	1：非消耗型商品     * •	2：自动续期订阅商品")
    private Integer goodsType;

    /** 商品规格 */
    @Excel(name = "商品规格")
    private String goodsSpec;

    /** 排序 */
    private Long orderNum;

    /** 逻辑删除,0:未删除,1:删除 */
    private Long isDelete;

    /** 创建人 */
    private String created;

    /** 更新人 */
    private String modified;

    /** 商品名称 */
    private String goodsName;

    /** 商品型号 */
    @Excel(name = "商品型号")
    private String goodsModel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGoodsCode(String goodsCode) 
    {
        this.goodsCode = goodsCode;
    }

    public String getGoodsCode() 
    {
        return goodsCode;
    }
    public void setStockId(Long stockId) 
    {
        this.stockId = stockId;
    }

    public Long getStockId() 
    {
        return stockId;
    }
    public void setReviewStatus(Long reviewStatus) 
    {
        this.reviewStatus = reviewStatus;
    }

    public Long getReviewStatus() 
    {
        return reviewStatus;
    }
    public void setProductTitle(String productTitle) 
    {
        this.productTitle = productTitle;
    }

    public String getProductTitle() 
    {
        return productTitle;
    }
    public void setProductPicture(String productPicture) 
    {
        this.productPicture = productPicture;
    }

    public String getProductPicture() 
    {
        return productPicture;
    }
    public void setOriginalPrice(Long originalPrice) 
    {
        this.originalPrice = originalPrice;
    }

    public Long getOriginalPrice() 
    {
        return originalPrice;
    }
    public void setProductDesc(String productDesc) 
    {
        this.productDesc = productDesc;
    }

    public String getProductDesc() 
    {
        return productDesc;
    }
    public void setGoodsType(Integer goodsType) 
    {
        this.goodsType = goodsType;
    }

    public Integer getGoodsType() 
    {
        return goodsType;
    }
    public void setGoodsSpec(String goodsSpec) 
    {
        this.goodsSpec = goodsSpec;
    }

    public String getGoodsSpec() 
    {
        return goodsSpec;
    }
    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreated(String created) 
    {
        this.created = created;
    }

    public String getCreated() 
    {
        return created;
    }
    public void setModified(String modified) 
    {
        this.modified = modified;
    }

    public String getModified() 
    {
        return modified;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setGoodsModel(String goodsModel) 
    {
        this.goodsModel = goodsModel;
    }

    public String getGoodsModel() 
    {
        return goodsModel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsCode", getGoodsCode())
            .append("stockId", getStockId())
            .append("reviewStatus", getReviewStatus())
            .append("productTitle", getProductTitle())
            .append("productPicture", getProductPicture())
            .append("originalPrice", getOriginalPrice())
            .append("productDesc", getProductDesc())
            .append("goodsType", getGoodsType())
            .append("goodsSpec", getGoodsSpec())
            .append("orderNum", getOrderNum())
            .append("isDelete", getIsDelete())
            .append("created", getCreated())
            .append("modified", getModified())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("goodsName", getGoodsName())
            .append("goodsModel", getGoodsModel())
            .toString();
    }
}
